Subject: RE: [Simple] We need a clear description of Presence

From: "Zmolek, Andrew (Andrew)" <[email-masked]>
Date: Tue, 19 Mar 2002 10:08:42 -0700

Comments inline...

>> I don't understand your point. Devices must be communicative 
>> in some way to report presence. Are you saying that some 
>> devices that don't do sip may want to update presence?
>
> Definitly - biometric devices are not capable of communications
> but can indicate very accurate presence information, 
> surveillance cameras can be used to uniquely identify 
> individuals, etc.  This presence information should also be 
> recorded in a Presence server. Perhaps this is out side the 
> scope of SIP, but it is not outside the scope of a presence 
> service.

This is a key point. Primary sensors are connected to analysis systems, which probably don't provide presence. But those systems create intelligence that is useful and a potential feed into a presence system. This notion of multiple feeds from analysis system makes the notion of presence via a single document seem overly constrained, as there are probably going to be many feeds to the presence service. 

Plus, exposure of availability is a different matter (and isn't likely to be the complete "document" of information known to the presence service and could be a complete lie for my local telemarketer, for instance)

>> I am not suggesting that registration must be the *only* way 
>> of doing so.
>> 
>> But I am suggesting that a *subset* of the presence information is in
>> 1:1 correspondence to registration information, and that *one way*
>> for that information to get into the presence document is via 
>> the registrar.
>> 
>> I realize this is controversial, but I believe that it is *best* for
>> the presence server to get that portion of the presence 
>> document content from the registrar. This is analogous to expecting 
>> a proxy server and registrar to communicate via an unspecified 
>> location service.

Again, there are going to be lots of feeds from lots of sources. Registrars will form a key part of the resulting data, but there isn't any point in constraining the notion of presence by excluding other valid feeds.

--Andy Zmolek 
    Technology & Standards Engineer 
      CTO Standards 
        Avaya Inc. 

            [email-masked] 
              +1 720 444 4001